#if !defined(__SAI_Save_h__)
#define __SAI_Save_h__
 
#include "CPA_Expt.h"
 
unsigned char SAI_fn_ucSaveAllGameTableValues(struct SAI_tdstInternalStructure_ *p_stInternalStructure,char *_szFileName,SAI_tdeFlags _eFlags);
unsigned char SAI_fn_ucSaveGameTableValue(SAI_tdxHandleToListEntry hListEntry,FILE *_p_stFile);
 
unsigned char SAI_fn_ucLoadAllGameTableValues( 
	struct SAI_tdstInternalStructure_ *p_stInternalStructure, 
	char *_szFileName, 
	SAI_tdeFlags _eFlags );
unsigned char SAI_fn_ucLoadGameTableValue( SAI_tdxHandleToListEntry hListEntry, FILE *_p_stFile );
 
void SAI_fn_vSaveBoolean( unsigned char _ucData, unsigned char _ucBitPosition, FILE *_p_stFile );
char SAI_fn_cLoadBoolean( FILE *_p_stFile );
void SAI_fn_vClearBooleanBuffer();
void SAI_fn_vFlushBooleanBuffer( FILE *_p_stFile );
 
#endif /* __SAI_Save_h__ */
